import request from '@/utils/request'

// 查询项目申报v2列表
export function listHandbook(query) {
  return request({
    url: '/scientific/handbook/list',
    method: 'get',
    params: query
  })
}

// 查询项目申报v2详细
export function getHandbook(handbookId) {
  return request({
    url: '/scientific/handbook/' + handbookId,
    method: 'get'
  })
}

// 新增项目申报v2
export function addHandbook(data) {
  return request({
    url: '/scientific/handbook',
    method: 'post',
    data: data
  })
}

// 修改项目申报v2
export function updateHandbook(data) {
  return request({
    url: '/scientific/handbook',
    method: 'put',
    data: data
  })
}

// 删除项目申报v2
export function delHandbook(handbookId) {
  return request({
    url: '/scientific/handbook/' + handbookId,
    method: 'delete'
  })
}
